Skip to main content
`Ctrl`+`K`

# DMSwarmGetField

Get access to the underlying array storing all entries associated with a registered field

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetField(DM dm, const char fieldname[], PetscInt *blocksize, PetscDataType *type, void **data) PeNS

Not Collective, No Fortran Support

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name to identify this field

## Output Parameters

- blocksize - the number of each data type

- type - the data type

- data - pointer to raw array

## Notes

The array must be returned using a matching call to `DMSwarmRestoreField()`.

## Fortran Note

Only works for `type` of `PETSC_SCALAR`

## See Also

`DM`, `DMSWARM`, `DMSwarmRestoreField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex3.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/swarm/tutorials/ex1.c
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/ex21.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages